[POST] .../v1/item/getcurrentquantity
Returns current item quantities by stock. Use this method to retrieve current quantities for multiple items across multiple stocks in one request. It requires stock_ids and item_ids arrays, limits each array to 250 records, checks item quantity permission for the current request user and returns ItemCurrentQuantity records in result. The the request supports filters, but this endpoint calculates quantities from the supplied stock_ids and item_ids arrays. Business errors such as missing arrays, array size violations, denied access or persistent quantity errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| item_ids | int | Item IDs. The array must contain no more than 250 elements. |
| stock_ids | int | Stock IDs. |
Request Example
{
"filters": [
{
"Field": "item_ids",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of ItemCurrentQuantity | Result array. |
Response Example
{
"ok": true,
"result": [
{
"item_id": 1,
"quantity": 1.0,
"stock_id": 1
}
]
}